About the Video Generation Success Event
TheVIDEO_GENERATION_SUCCESS event is triggered when a video generation process completes successfully in Argil. This webhook event provides your service with a payload containing detailed information about the successful video generation.
renderCost is the credits debited for this render (0 when the render was free). renderCostRefunded is false on success. The same fields are sent to a one-shot callbackUrl passed to POST /videos/{id}/render.
Payload Details
When this event triggers, the following data is sent to your callback URL:For detailed instructions on setting up this webhook event, visit our Webhooks API Reference.
